/*
  Modern CSS reset
  Adapted from Josh Comeau: https://www.joshwcomeau.com/css/custom-css-reset/
*/
*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

/*
  Site variables
*/
:root {
  --color-text: #1c1c1c;
  --color-background: #ffffff;
  --font-body: system-ui, -apple-system, "Segoe UI", Roboto, sans-serif;
}

/*
  Base
*/
body {
  font-family: var(--font-body);
  color: var(--color-text);
  background-color: var(--color-background);
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  height: 100vh;
}

/*
  Layout
*/
.site-header {
  padding-top: 0.5rem;
}

.site-footer {
  flex-shrink: 0;
  text-align: center;
  padding: 1rem;
}

.wrapper {
  display: flex;
  flex-flow: column;
  width: fit-content;
  margin: 0 auto;
  padding-top: 4rem;
  height: 100%;
}

.container {
  display: flex;
  gap: 2rem;
  flex: 1 0 auto;
}

main {
  display: flex;
  flex-flow: column;
  gap: 2rem;
}

.logo {
  height: 4rem;
}

.hero address {
  padding: 1rem 0;
}

.established {
  font-style: italic;
}

.hero .emails {
  display: flex;
  flex-flow: column;
}

.warehouses {
  display: flex;
  flex-flow: column;
}

.warehouses h2 {
  margin-bottom: 2rem;
}

.warehouses address + address {
  margin-top: 1rem;
}

.location {
  font-weight: 900;
  font-size: 1.1rem;
  font-style: normal;
}
